tests: add testcase to check igt runtime enviroment

Now that we've abandonded the autohell testrunner, need to port this
over. Easiest is to just add another testcase ...

Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 0476908..b0ac7dd 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -104,6 +104,7 @@
 	$(NULL)
 
 TESTS_scripts = \
+	test_rte_check
 	debugfs_reader \
 	debugfs_emon_crash \
 	sysfs_l3_parity \
diff --git a/tests/test_rte_check b/tests/test_rte_check
new file mode 100755
index 0000000..6389592
--- /dev/null
+++ b/tests/test_rte_check
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+whoami | grep root || ( echo ERROR: not running as root; exit 1 )
+
+SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
+. $SOURCE_DIR/drm_lib.sh
+
+exit 0